Subject: [bug#39120] [00/12] Update Ruby to 2.6.

From: Christopher Baines <[email-masked]>
Date: Tue, 14 Jan 2020 07:31:15 +0000

Marius Bakke <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> So, these patches are a bit late, 2.7 is already out, but it's a bit to
>> early to update to 2.7, so let's just do 2.6, then add a package for
>> 2.7.
>>
>>
>> Christopher Baines (12):
>>   gnu: ruby-listen: Update to 3.2.0.
>>   gnu: ruby-aruba: Update to 0.14.14.
>>   gnu: ruby-childprocess-0.6: Remove version 0.6.3.
>>   gnu: ruby-childprocess: Update to 3.0.0.
>>   gnu: ruby-yard: Update to 0.9.20.
>>   gnu: ruby-hoe: Update to 3.21.0.
>>   gnu: ruby-power-assert: Update to 1.1.5.
>>   gnu: ruby-json-pure: Update to 2.2.0.
>>   gnu: ruby-tzinfo: Skip safe tests.
>>   gnu: ruby-2.4: Update to 2.4.9.
>>   gnu: ruby: Update to 2.6.5.
>>   gnu: Add ruby-2.5.
>
> Thanks!  This is for 'core-updates', right?  LGTM.

Yeah, I was waiting until I got the Guix Data Service to compare the
differences (it's still a bit broken, but I'm trying to get my patch
testing setup working again [1]).

1: https://laminar.cbaines.net/jobs/patchwork-test-series/190

At least with [2], the number is 3861 rebuilds, which means core-updates
I think.

2: ./pre-inst-env guix refresh -l [email-masked] [email-masked] [email-masked] ruby-tzinfo
ruby-json-pure ruby-power-assert ruby-hoe ruby-yard ruby-childprocess
ruby-aruba ruby-listen